precision highp float;

uniform sampler2D 	u_tex0;		// named param

varying vec4        v_col;
varying vec2        v_tex0;
varying vec2        v_tex1;


void main()
{
	vec4 sceneCol = texture2D(u_tex0, v_tex1);
	
	float channel = sceneCol.r * 0.2 + sceneCol.g * 0.7 + sceneCol.b * 0.1;
		
	vec4 diffuseCol = vec4(channel, channel, channel, sceneCol.a) * v_col;
		
	// http://www.ozone3d.net/blogs/lab/20080709/saturate-function-in-glsl/		
	//gl_FragColor = clamp(diffuseCol, 0.0, 1.0);
	
	gl_FragColor = diffuseCol;
}