precision highp float;

uniform mat4		u_WVP;			// named param
uniform vec4 		u_RTTxywh;		// named param
uniform vec4 		u_RTTtex_xywh;	// named param

attribute vec3 		vPosition;		// named param
attribute vec4 		vColor;			// named param
attribute vec4 		vCoords;		// named param
attribute vec4 		vCoords2;		// named param

varying vec4        v_col;
varying vec2        v_tex0;
varying vec2        v_tex1;


void main()
{
	v_col = vColor;
	v_col.b = vColor.r;
	v_col.r = vColor.b;
	
	v_tex0.x = vCoords.x;	
	v_tex0.y = 1.0 - vCoords.y;		
	
	float worldPosX = u_RTTxywh.x;
	float worldWidth = u_RTTxywh.z;
	
	float texPosX = u_RTTtex_xywh.x;
	float texWidth = u_RTTtex_xywh.z;	
	
	v_tex1.x = texPosX + ((vPosition.x - worldPosX) / worldWidth) * texWidth;
	
	
	float worldPosY = u_RTTxywh.y;
	float worldHeight = u_RTTxywh.w;
	
	float texPosY = u_RTTtex_xywh.y;
	float texHeight = u_RTTtex_xywh.w;	
		
	v_tex1.y = ((worldPosY + worldHeight - vPosition.y) / worldHeight * texHeight + texPosY);
	
	
	gl_Position = u_WVP * vec4(vPosition, 1.0);
}