precision highp float;

uniform vec4 		u_fSpecularData;		// named param
uniform vec4 		u_fAtmosphericData;		// named param

uniform sampler2D 	u_tex0;				// named param
uniform sampler2D 	u_tex1;				// named param

varying vec4        v_col;
varying vec2        v_tex0;
varying vec2        v_tex1;
varying vec3        v_dirToLight;


void main()
{	
	vec4 normal_selfIllum = texture2D(u_tex0, vec2(v_tex1.x + 0.5, v_tex1.y));
	
	vec3 fvLightDirection 	= normalize(v_dirToLight);
	
	vec3 fvNormal         	= vec3(normal_selfIllum.xy, 1.0);
	fvNormal   				= normalize((fvNormal * 2.0) - 1.0);
			
	vec3 fvReflection      	= reflect(fvLightDirection, fvNormal);
	
	float  fRDotV          	= max(0.0, -fvReflection.z);
	
	vec4 fvBaseColor     	= texture2D(u_tex0, v_tex1);
		
	vec4 spotColor = texture2D(u_tex1, v_tex0) * u_fSpecularData.z * v_col;
			
	vec4 fvRealColor = (fvBaseColor * spotColor);	
	
	vec4 fvTotalDiffuse   = fvRealColor;	
	
	vec4 fvTotalSpecular  = u_fSpecularData.y * pow(fRDotV, u_fSpecularData.x ) * fvRealColor;
	
	vec4 fvFinalColor = fvTotalDiffuse * u_fAtmosphericData.x + fvTotalSpecular;
	fvFinalColor /= (1.0 - spotColor * u_fAtmosphericData.y);
	fvFinalColor += spotColor * u_fAtmosphericData.z;
	
	gl_FragColor = fvFinalColor;
}