precision highp float;

uniform vec4 		u_fWaterData;			// named param

uniform sampler2D 	u_tex0;				// named param
uniform sampler2D 	u_tex1;			// named param

varying vec4        v_col;
varying vec4        v_tex0;
varying vec2        v_tex1;


void main()
{
	vec4 waterTex1 = texture2D(u_tex1, v_tex0.xy);
	vec4 waterTex2 = texture2D(u_tex1, v_tex0.zw);

	float fCausticsTex = (waterTex1.z + waterTex2.z);
	
	vec2 waterNrm = u_fWaterData.x * (waterTex1.xy + waterTex2.xy - 1.0);

	vec4 sceneCol = texture2D(u_tex0, v_tex1 + waterNrm.xy);
	
	vec4 diffuseCol = sceneCol * v_col.xyzw + u_fWaterData.y * fCausticsTex * sceneCol;
   
   
	// http://www.ozone3d.net/blogs/lab/20080709/saturate-function-in-glsl/		
	gl_FragColor = clamp(diffuseCol, 0.0, 1.0);
}